Search found 4721 matches

by wandererfan
Mon Sep 30, 2013 11:34 pm
Forum: Python scripting and macros
Topic: Exception in Edge.normalAt
Replies: 7
Views: 1790

Exception in Edge.normalAt

Is there a trick to using TopoShapeEdgePy::normalAt? >>> o = App.ActiveDocument.Circle >>> os = o.Shape >>> ose = os.Edges[0] >>> ose.normalAt(0) Traceback (most recent call last): File "<input>", line 1, in <module> Exception >>> If there is no trick, then probably an OCC error? http://ww...
by wandererfan
Sun Sep 29, 2013 5:50 pm
Forum: Open discussion
Topic: Objects Along a Path
Replies: 7
Views: 1307

Re: Objects Along a Path

normandc wrote:What I meant was, could the objects being distributed along the path be 3D shapes as well as 2D?
Oh, sorry. The red ones in the picture are Part.Sphere. Should work with any shape.
by wandererfan
Sun Sep 29, 2013 1:37 pm
Forum: Open discussion
Topic: Objects Along a Path
Replies: 7
Views: 1307

Re: Objects Along a Path

There would certainly be an interest. Would you be able to set some parameters like parallel and normal to the path? Would those objects be 2D or 3D? I like the idea of a parallel/normal parameter. I don't know how to do it, but I like it. If the path is 2D the result is 2D, if the path is 3D the r...
by wandererfan
Sat Sep 28, 2013 5:18 pm
Forum: Open discussion
Topic: Objects Along a Path
Replies: 7
Views: 1307

Objects Along a Path

While catching up, I saw this post: http://forum.freecadweb.org/viewtopic.php?f=3&t=4269&p=33415 I put together something that distributes document objects along a wire: http://en.zimagez.com/miniature/patharray.png If there is any interest, I'll clean it up and submit some code. "Draft...
by wandererfan
Thu Jun 06, 2013 2:07 pm
Forum: Help on using FreeCAD
Topic: three questions about positioning and rotating
Replies: 5
Views: 1767

Re: three questions about positioning and rotating

[quote="ttype"]2. Also I am really having problems in understanding rotation in detail. When I import a curve I always see it in top view. To see the same in right view I would have to rotate 90° around the x axis and then 90° around the z. I somehow understand why it is not working by jus...
by wandererfan
Sat Jun 01, 2013 1:36 pm
Forum: Help on using FreeCAD
Topic: Problems with many Extrudes and Cuts
Replies: 2
Views: 489

Re: Problems with many Extrudes and Cuts

Post your .fcstd file and/or any macros you used to create your cube? Hard to tell anything from a picture and a few words.

I'm not aware of a limit on cuts.

wf
by wandererfan
Mon May 27, 2013 3:38 pm
Forum: Open discussion
Topic: SF hosted app retairement & call for help
Replies: 307
Views: 41727

Re: SF hosted app retairement & call for help

I hate to whine, but I have to agree that response time on the new wiki is less than world class much of the time. I haven't keep logs, but I usually use the wiki outside of the 0000-0500 CET backup window, so it isn't just the backups.

wf
by wandererfan
Wed May 22, 2013 9:19 pm
Forum: Help on using FreeCAD
Topic: Shell feature?
Replies: 2
Views: 704

Re: Shell feature?

This will give you a hollow box without a top:

Code: Select all

cube = Part.makeBox(cubesize,cubesize,cubesize)
faceList = cube.Faces
myShell = Part.makeShell(faceList[0:5])
Part.show(myShell)        
wf
by wandererfan
Wed May 15, 2013 1:10 pm
Forum: Help on using FreeCAD
Topic: Imperial units
Replies: 26
Views: 7627

Re: Imperial units

I am a woodworking hobbyist in the USA, and unfortunately, all my tools are in imperial units. ... One is that it is highly unlikely that I could, or would ever need, to cut to a precision of even one sixty fourth of an inch. ... So, I will be doing my drawings, such that one millimeter is one sixt...
by wandererfan
Wed May 15, 2013 12:59 pm
Forum: Help on using FreeCAD
Topic: web tutorial not givng result
Replies: 16
Views: 12877

Re: web tutorial not givng result

myApp=App.newDocument() #user comment: this line above was recommended by wandererfan. Pgm would only work after adding this line ##wf: strictly speaking, I should have said "myDoc=App.newDocument()", then you would normally use "myDoc." instead of ## "App.ActiveDocument.&qu...